Bug 968460 - seeing rpc.idmapd messages "dirscancb: open(/var/lib/nfs/rpc_pipefs/nfs/clnt6a): No such file or directory " [NEEDINFO]
seeing rpc.idmapd messages "dirscancb: open(/var/lib/nfs/rpc_pipefs/nfs/clnt6...
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: nfs-utils (Show other bugs)
5.6
x86_64 Linux
high Severity high
: rc
: ---
Assigned To: Steve Dickson
Yin.JianHong
: Patch, ZStream
Depends On: 726472
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-29 14:23 EDT by Libor Miksik
Modified: 2017-04-04 16:44 EDT (History)
17 users (show)

See Also:
Fixed In Version: nfs-utils-1.0.9-67.el5_9
Doc Type: Bug Fix
Doc Text:
Previously, the cu utility was seeing the following message in the log file returned by the rpc.idmapd deamon: "dirscancb: open(/var/lib/nfs/rpc_pipefs/nfs/clnt6a): No such file or directory" Even though these messages were harmless, cu needed a patch to remove them. Unnecessary log messages have been removed, thus fixing the bug.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-04-04 16:44:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mkolaja: needinfo? (cww)


Attachments (Terms of Use)
bash script to fix bogus weekdays in rpm spec files. (2.23 KB, application/x-shellscript)
2014-02-14 02:30 EST, Edward J. Huff
no flags Details

  None (edit)
Description Libor Miksik 2013-05-29 14:23:29 EDT
This bug has been copied from bug #726472 and has been proposed
to be backported to 5.9 z-stream (EUS).
Comment 4 Yin.JianHong 2013-08-02 00:15:53 EDT
There's no reproducer in Description, and reporter left.
Just check the nfs-utils-1.0.9-67.el5_9.src.rpm in brew, the patch is included.
Comment 6 Yin.JianHong 2013-10-17 02:52:52 EDT
The nfs-utils-1.0.9-68.el5_9.2.src.rpm rpmbuild fail:

[root@dhcp12-xxx nfs-utils]# rpmbuild -bp ~/rpmbuild/SPECS/nfs-utils.spec --nodeps 
warning: line 172: buildprereq is deprecated: BuildPrereq: nfs-utils-lib-devel libevent-devel libgssapi-devel tcp_wrappers
warning: line 177: prereq is deprecated: PreReq: shadow-utils >= 4.0.3-25
warning: line 178: prereq is deprecated: PreReq: /sbin/chkconfig /sbin/nologin
warning: line 179: prereq is deprecated: PreReq: nfs-utils-lib libevent libgssapi
warning: bogus date in %changelog: Tue Jul 11 2012 Steve Dickson <steved@redhat.com> 1.0.9-61
warning: bogus date in %changelog: Fri Dec 17 2007 Jeff Layton <jlayton@redhat.com> 1.0.9-26
warning: bogus date in %changelog: Wed May  10 2007 Steve Dickson <steved@redhat.com> 1.0.9-18
warning: bogus date in %changelog: Tue Sep  8 2005 Steve Dickson <SteveD@RedHat.com> 1.0.7-16
warning: bogus date in %changelog: Mon Mar 29 2005 Steve Dickson <SteveD@RedHat.com> 1.0.7-4
warning: bogus date in %changelog: Thu May 10 2004 <SteveD@RedHat.com>
warning: bogus date in %changelog: Thu Aug  27 2003 Steve Dickson <SteveD@RedHat.com>
warning: bogus date in %changelog: Wed Jul 21 2003 Steve Dickson <SteveD@RedHat.com>
warning: bogus date in %changelog: Tue Mar 12 2001 Bob Matthews <bmatthews@redhat.com>
warning: bogus date in %changelog: Thu Dec 13 2000 Bob Matthews <bmatthews@redhat.com>
Executing(%prep): /bin/sh -e /var/tmp/rpm-tmp.vfpqJa
+ umask 022
+ cd /root/rpmbuild/BUILD
+ cd /root/rpmbuild/BUILD
+ rm -rf nfs-utils-1.0.9
+ /usr/bin/bzip2 -dc /root/rpmbuild/SOURCES/nfs-utils-1.0.9.tar.bz2
+ /usr/bin/tar -xf -
+ STATUS=0
+ '[' 0 -ne 0 ']'
+ cd nfs-utils-1.0.9
+ /usr/bin/chmod -Rf a+rX,u+w,g-w,o-w .
+ echo 'Patch #0 (nfs-utils-1.0.5-statdpath.patch):'
Patch #0 (nfs-utils-1.0.5-statdpath.patch):
+ /usr/bin/cat /root/rpmbuild/SOURCES/nfs-utils-1.0.5-statdpath.patch
+ /usr/bin/patch -p1 --fuzz=0
patching file utils/statd/statd.h
Hunk #1 succeeded at 16 (offset 3 lines).
patching file utils/statd/statd.man
Hunk #1 succeeded at 24 (offset 1 line).
Hunk #2 FAILED at 136.
1 out of 2 hunks FAILED -- saving rejects to file utils/statd/statd.man.rej
error: Bad exit status from /var/tmp/rpm-tmp.vfpqJa (%prep)


RPM build errors:
    line 172: buildprereq is deprecated: BuildPrereq: nfs-utils-lib-devel libevent-devel libgssapi-devel tcp_wrappers
    line 177: prereq is deprecated: PreReq: shadow-utils >= 4.0.3-25
    line 178: prereq is deprecated: PreReq: /sbin/chkconfig /sbin/nologin
    line 179: prereq is deprecated: PreReq: nfs-utils-lib libevent libgssapi
    bogus date in %changelog: Tue Jul 11 2012 Steve Dickson <steved@redhat.com> 1.0.9-61
    bogus date in %changelog: Fri Dec 17 2007 Jeff Layton <jlayton@redhat.com> 1.0.9-26
    bogus date in %changelog: Wed May  10 2007 Steve Dickson <steved@redhat.com> 1.0.9-18
    bogus date in %changelog: Tue Sep  8 2005 Steve Dickson <SteveD@RedHat.com> 1.0.7-16
    bogus date in %changelog: Mon Mar 29 2005 Steve Dickson <SteveD@RedHat.com> 1.0.7-4
    bogus date in %changelog: Thu May 10 2004 <SteveD@RedHat.com>
    bogus date in %changelog: Thu Aug  27 2003 Steve Dickson <SteveD@RedHat.com>
    bogus date in %changelog: Wed Jul 21 2003 Steve Dickson <SteveD@RedHat.com>
    bogus date in %changelog: Tue Mar 12 2001 Bob Matthews <bmatthews@redhat.com>
    bogus date in %changelog: Thu Dec 13 2000 Bob Matthews <bmatthews@redhat.com>
    Bad exit status from /var/tmp/rpm-tmp.vfpqJa (%prep)
Comment 7 Edward J. Huff 2014-02-14 02:30:19 EST
Created attachment 863131 [details]
bash script to fix bogus weekdays in rpm spec files.

This script automatically corrects bogus weekdays in spec files, generating a changelog entry and adding a line after the bogus date noting the original date. (The weekday might have been correct and the day of the month wrong). The input file is copied to a backup file, and a diff is printed.
Comment 12 Chris Williams 2017-04-04 16:44:06 EDT
Red Hat Enterprise Linux 5 shipped it's last minor release, 5.11, on September 14th, 2014. On March 31st, 2017 RHEL 5 exits Production Phase 3 and enters Extended Life Phase. For RHEL releases in the Extended Life Phase, Red Hat  will provide limited ongoing technical support. No bug fixes, security fixes, hardware enablement or root-cause analysis will be available during this phase, and support will be provided on existing installations only.  If the customer purchases the Extended Life-cycle Support (ELS), certain critical-impact security fixes and selected urgent priority bug fixes for the last minor release will be provided.  The specific support and services provided during each phase are described in detail at http://redhat.com/rhel/lifecycle

This BZ does not appear to meet ELS criteria so is being closed WONTFIX. If this BZ is critical for your environment and you have an Extended Life-cycle Support Add-on entitlement, please open a case in the Red Hat Customer Portal, https://access.redhat.com ,provide a thorough business justification and ask that the BZ be re-opened for consideration of an errata. Please note, only certain critical-impact security fixes and selected urgent priority bug fixes for the last minor release can be considered.

Note You need to log in before you can comment on or make changes to this bug.